Skip to main content
`Ctrl`+`K`

# scipy.special.ellipkm1

scipy.special.ellipkm1(p, out=None) = <ufunc 'ellipkm1'>

  Complete elliptic integral of the first kind around m = 1

  This function is defined as

  \[\begin{split}K(p) = \\int_0^{\\pi/2} [1 - m \\sin(t)^2]^{-1/2} dt\end{split}\]

  where m = 1 - p.

  Parameters:
    p array_like

      Defines the parameter of the elliptic integral as m = 1 - p.

    out ndarray, optional

      Optional output array for the function values

  Returns:
    K scalar or ndarray

      Value of the elliptic integral.

  See also

  `ellipk`

    Complete elliptic integral of the first kind

  `ellipkinc`

    Incomplete elliptic integral of the first kind

  `ellipe`

    Complete elliptic integral of the second kind

  `ellipeinc`

    Incomplete elliptic integral of the second kind

  `elliprf`

    Completely-symmetric elliptic integral of the first kind.

  Notes

  Wrapper for the Cephes [1] routine ellpk.

  For `p <= 1`, computation uses the approximation,

  \[\begin{split}K(p) \\approx P(p) - \\log(p) Q(p),\end{split}\]

  where \(P\) and \(Q\) are tenth-order polynomials. The argument p is used internally rather than m so that the logarithmic singularity at `m = 1` will be shifted to the origin; this preserves maximum accuracy. For `p > 1`, the identity

  \[\begin{split}K(p) = K(1/p)/\\sqrt(p)\end{split}\]

  is used.

  References

  [1]

  Cephes Mathematical Functions Library, http://www.netlib.org/cephes/